package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.entity.DeptInfo;
import com.diagbot.vo.GetDeptInfoVO;

import java.util.List;

/**
 * <p>
 * 科室信息表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-22
 */
public interface DeptInfoService extends IService<DeptInfo> {

    /**
     * 获取科室信息
     * @param getDeptInfoVO
     * @return
     */
    public IPage<DeptInfo> getAllDeptInfo(GetDeptInfoVO getDeptInfoVO);

    /**
     *  获取科室信息
     * @param deptCode
     * @param hospitalCode
     * @return
     */
    public List<DeptInfoDTO> getDeptInfos(String deptCode, String hospitalCode);
}
